<?php

namespace Drupal\ajax_dashboard\Plugin\AJAXDashboardButton;

use Drupal\ajax_dashboard\Plugin\AJAXDashboardButtonBase;

/**
 * Class Constant
 * @package Drupal\ajax_dashboard_example\Plugin\AJAXDashboardSection
 *
 * @AJAXDashboardButton (
 *   id = "constant",
 *   label = "AJAX Dashboard Constant"
 * )
 *
 */
class Constant extends AJAXDashboardButtonBase {

  /**
   * {@inheritdoc}
   */
  public static function access($params = [], $button_data = []) {
    return TRUE;
  }

  /**
   * {@inheritdoc}
   */
  public static function getButtonStatus($params = [], $button_data = []) {
    return 'neutral';
  }

  public static function getButtonLabel($params = [], $button_data = []) {
    return parent::getButtonLabel($params, $button_data);
  }

  public static function getButtonDashboardContent($params = [], $button_data = []) {
    if (isset($button_data['constant'])) {
      return ['#markup' => t($button_data['constant'])];
    }
    return ['#markup' => ''];
  }

}
